package cn.com.qmth.examcloud.marking.api.client;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.marking.api.MarkItemCloudService;
import cn.com.qmth.examcloud.marking.api.request.SaveMarkItemReq;
import cn.com.qmth.examcloud.marking.api.request.SaveMarkWorkReq;
import cn.com.qmth.examcloud.marking.api.response.SaveMarkItemResp;
import cn.com.qmth.examcloud.marking.api.response.SaveMarkWorkResp;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

/**
 * @ClassName MarkItemCloudServiceClient
 * @Description TODO
 * @Author nikang
 * @Date 2018/11/27 11:17
 * @Version 3.0
 */
@Service
public class MarkItemCloudServiceClient extends BasicCloudClientSupport implements MarkItemCloudService {
    @Autowired
    private RestTemplate restTemplate;
    @Autowired
    private RedisClient redisClient;
    @Override
    protected RestTemplate getRestTemplate() {
        return this.restTemplate;
    }

    @Override
    protected RedisClient getRedisClient() {
        return this.redisClient;
    }

    @Override
    public SaveMarkItemResp saveMarkWork(SaveMarkItemReq req) {
        return post("markItem/saveMarkItemList",req, SaveMarkItemResp.class);
    }
}
