package cn.com.qmth.examcloud.marking.api;

import cn.com.qmth.examcloud.commons.web.cloud.api.CloudService;
import cn.com.qmth.examcloud.marking.api.request.GetMarkTaskReq;
import cn.com.qmth.examcloud.marking.api.request.SaveMarkTaskReq;
import cn.com.qmth.examcloud.marking.api.request.UpdateMarkTaskReq;
import cn.com.qmth.examcloud.marking.api.response.GetMarkTaskResp;
import cn.com.qmth.examcloud.marking.api.response.SaveMarkTaskResp;
import cn.com.qmth.examcloud.marking.api.response.UpdateMarkTaskResp;

/**
 * @ClassName MarkTaskCloudService
 * @Description TODO
 * @Author nikang
 * @Date 2018/11/27 17:12
 * @Version 3.0
 */
public interface MarkTaskCloudService extends CloudService {
    /**
     * 获取评卷任务集
     */
    GetMarkTaskResp getMarkTask(GetMarkTaskReq req);

    /**
     * 导入评卷任务时新增评卷任务数据
     */
    SaveMarkTaskResp saveMarkTask(SaveMarkTaskReq req);

    /**
     * 更新评卷任务：
     * 后台操作逻辑包括：save,update,delete操作，详情看具体服务
     */
    UpdateMarkTaskResp updateMarkTask(UpdateMarkTaskReq req);
}
