package cn.com.qmth.examcloud.core.oe.student.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.student.api.OeHandleByExamCaptureQueueFailedDisposeService;
import cn.com.qmth.examcloud.core.oe.student.api.request.HandleByExamCaptureQueueFailedDisposeReq;

@Service
public class OeHandleByExamCaptureQueueFailedDisposeServiceClient extends BasicCloudClientSupport implements
		OeHandleByExamCaptureQueueFailedDisposeService {

	/**
	 * 
	 */
	private static final long serialVersionUID = -802226410595457107L;

	@Autowired
	private RestTemplate restTemplate;

	@Autowired
	private RedisClient redisClient;
	
	@Override
	public void handleByExamCaptureQueueFailedDispose(HandleByExamCaptureQueueFailedDisposeReq req) {
		post("handleByExamCaptureQueueFailedDispose", req);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}
	
}
