package cn.com.qmth.examcloud.marking.api.bean;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * @ClassName MarkTaskBean
 * @Description TODO
 * @Author nikang
 * @Date 2018/11/27 17:03
 * @Version 3.0
 */
public class MarkTaskBean implements JsonSerializable {

    private static final long serialVersionUID = -5290322662893858995L;

    private Long id;
    private Long userId;
    private String userName;
    private String userLoginName;
    private Long workId;
    private Long examId;
    private Long markRangeId;
    private String markRangeName;
    private String basePaperId;
    private String basePaperName;
    private String paperType;
    private String courseName;
    private String courseCode;
    private Long courseId;
    /**
     * 限制数量
     */
    private Long limitCount;

    private Long markedCount;
    private Long leftCount;
    private Long totalCount;

    private Long[] userIds;

    private Double maxScore;
    private Double minScore;
    private Double avgScore;
    private Double stdDev;

    private Long rootOrgId;

    public MarkTaskBean() {
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserLoginName() {
        return userLoginName;
    }

    public void setUserLoginName(String userLoginName) {
        this.userLoginName = userLoginName;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getMarkRangeId() {
        return markRangeId;
    }

    public void setMarkRangeId(Long markRangeId) {
        this.markRangeId = markRangeId;
    }

    public String getMarkRangeName() {
        return markRangeName;
    }

    public void setMarkRangeName(String markRangeName) {
        this.markRangeName = markRangeName;
    }

    public String getBasePaperId() {
        return basePaperId;
    }

    public void setBasePaperId(String basePaperId) {
        this.basePaperId = basePaperId;
    }

    public String getBasePaperName() {
        return basePaperName;
    }

    public void setBasePaperName(String basePaperName) {
        this.basePaperName = basePaperName;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Long getLimitCount() {
        return limitCount;
    }

    public void setLimitCount(Long limitCount) {
        this.limitCount = limitCount;
    }

    public Long getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(Long markedCount) {
        this.markedCount = markedCount;
    }

    public Long getLeftCount() {
        return leftCount;
    }

    public void setLeftCount(Long leftCount) {
        this.leftCount = leftCount;
    }

    public Long getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Long totalCount) {
        this.totalCount = totalCount;
    }

    public Long[] getUserIds() {
        return userIds;
    }

    public void setUserIds(Long[] userIds) {
        this.userIds = userIds;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public Double getStdDev() {
        return stdDev;
    }

    public void setStdDev(Double stdDev) {
        this.stdDev = stdDev;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}
